<!DOCTYPE html>
<!--
  ~ Copyright (c) 2016 Adrien Lecharpentier
  ~
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy
  ~ of this software and associated documentation files (the "Software"), to deal
  ~ in the Software without restriction, including without limitation the rights
  ~ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  ~ copies of the Software, and to permit persons to whom the Software is
  ~ furnished to do so, subject to the following conditions:
  ~
  ~ The above copyright notice and this permission notice shall be included in
  ~ all copies or substantial portions of the Software.
  ~
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  ~ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  ~ AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  ~ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  ~ OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  ~ THE SOFTWARE.
  -->

<html lang="en" data-ng-app="simpleApp">
<head>
  <meta charset="UTF-8">
  <title>Simple Application</title>

  <link rel="stylesheet" href="/webjars/bootstrap/dist/css/bootstrap.min.css"/>
  <link rel="stylesheet" href="/css/style.css"/>
  <script type="text/javascript" src="/webjars/angular/angular.min.js"></script>

  <script type="text/javascript" src="/app/index.js"></script>
</head>
<body>

<div class="container" data-ng-controller="GravatarCtrl as ctrl">
  <div class="header clearfix">
    <nav class="navbar navbar-light bg-faded">
      <a class="navbar-brand" href="/">Simple Application --- Devops AJC 20XX</a>
      <form novalidate class="form-inline pull-xs-right" data-ng-submit="ctrl.fetch(email)">
        <input class="form-control" type="email" data-ng-model="email" placeholder="Email"
               data-ng-required required="required" autofocus="autofocus">
        <button class="btn btn-success-outline" type="submit" data-ng-disabled>Get image</button>
      </form>
    </nav>
  </div>

  <div class="jumbotron" data-ng-show="ctrl.url">
    <p class="lead">
      <img src="" data-ng-src="{{ctrl.url}}"/>
    </p>
  </div>
</div>

</body>
</html>